Subject: Re: Why doesn't gitk highlight commit references from git-describe?

From: Stephen Kelly <[email-masked]>
Date: Wed, 13 Apr 2016 23:41:14 +0200

Stefan Beller wrote:

> How would you know(/code) that v1.6.0-rc0~120^2 is a text worth linking?
> "v1.6.0-rc0" is a custom string as that is how we name tags in this
> project. It can follow any convention in other projects.
> 
> Maybe a first approximation is if there is a `~` followed by numbers
> or a ^ character, inspect the whole thing if it is a reference into the
> history?

Would it be possible to implement linking for <tagname> optionally followed 
by something like that? Just tags should be links too, right?

> (Special case for git.git: Sometimes in a discussion you want to explain
> stuff and may use HEAD^ or such to demonstrate the use case. Other
> projects would not use that as much in descriptive text I would assume. So
> we'd need to make sure
> changing refs (i.e. branches, symbolic refs such as HEAD, FETCH_HEAD) are
> not considered worth linkifying.)

What does 'HEAD^' mean? If it is 'the commit before this one', then why not 
link it?

Thanks,

Steve.